## org.openqa.selenium.server.browserlaunchers.locators
Class FirefoxLocator

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.locators.SingleBrowserLocator
          org.openqa.selenium.server.browserlaunchers.locators.FirefoxLocator

All Implemented Interfaces:
  BrowserLocator

Direct Known Subclasses:
  Firefox2Locator, Firefox3Locator

    public abstract class FirefoxLocator

extends SingleBrowserLocator

Discovers a valid Firefox installation on local system.

Constructor Summary
`FirefoxLocator()`

Method Summary
`protected java.lang.String` `browserPathOverridePropertyName()`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.locators.SingleBrowserLocator

`browserDefaultPath, browserName, computeLibraryPath, couldNotFindAnyInstallationMessage, fakeLauncherPath, findAtADefaultLocation, findBrowserLocation, findBrowserLocationOrFail, findFileInPath, findInPath, humanFriendlyLauncherFileNames, retrieveValidInstallationPath, retrieveValidInstallationPath, retrieveValidInstallationPath, seleniumBrowserName, standardlauncherFilenames, usualLauncherLocations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FirefoxLocator

    public FirefoxLocator()

Method Detail

### browserPathOverridePropertyName

    protected java.lang.String browserPathOverridePropertyName()

  Specified by:
    `browserPathOverridePropertyName` in class `SingleBrowserLocator`

Copyright © 2009. All Rights Reserved.